Summary: Therion cave surveying toolset - 2D and 3D drawing software
Name: therion
Vendor: The Therion Project
Version: 5.4.4
Release: 2%{?dist}
License: GPL
Group: Applications/Misc
URL: http://therion.speleo.sk
Source0:   %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-build
Packager: James Begley <james@jmbegley.org.uk>
BuildRequires: perl, make, vtk-devel, mesa-libGL-devel, mesa-libGLU-devel, wxGTK3-devel, proj-devel, sqlite-tcl, texlive-pdftex, texlive-amsfonts, texlive-mflogo-font, texlive-updmap-map
Requires: tkimg, bwidget, vtk, proj

# workaround for rpm 4.13
%define _empty_manifest_terminate_build 0

%description
Therion is a complete package which processes survey data and generates maps or 3D models of caves. It runs on wide variety of platforms: Linux, Windows, Mac OS X. It is completely free, released under the terms of GNU GPL, with source code available. It doesn't require any other commercial software to run.

%prep
%setup -q -n %{name}-%{version}

%build
rm -rf %{buildroot}
[ "%{buildroot}" = "/" ] && echo "buildroot cannot be /" && exit 1
make

%install
mkdir -p %{buildroot}%{_datadir}/therion
install -D -m 0755 therion %{buildroot}%{_bindir}/therion
install -D -m 0755 xtherion/xtherion %{buildroot}%{_bindir}/xtherion
install -D -m 0755 loch/loch %{buildroot}%{_bindir}/loch
install -D -m 0644 therion.ini %{buildroot}%{_sysconfdir}/therion.ini
install -D -m 0644 xtherion/xtherion.ini %{buildroot}%{_sysconfdir}/xtherion.ini
install -D -m 0644 thbook/thbook.pdf %{buildroot}%{_datadir}/therion/
install -D -m 0644 therion.ico %{buildroot}%{_datadir}/therion/
install -D -m 0644 loch/loch.xpm %{buildroot}%{_datadir}/therion/
install -D -m 0644 loch/loch.ico %{buildroot}%{_datadir}/therion/
install -D -m 0644 loch/lochfile.ico %{buildroot}%{_datadir}/therion/

%clean
make clean
[ "%{buildroot}" = "/" ] && echo "buildroot cannot be /" && exit 1
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%{_bindir}/therion
%{_bindir}/xtherion
%{_bindir}/loch
%{_sysconfdir}/therion.ini
%{_sysconfdir}/xtherion.ini
%{_datadir}/therion/*

%changelog
* Sat Dec 07 2019 James Begley <james@jmbegley.org.uk> - 5.4.4-2
- Fix for github issue #158 loch fails to start

* Wed May 01 2019 James Begley <james@jmbegley.org.uk> - 5.4.4-1
- Upstream release 5.4.4

* Fri Feb 01 2019 James Begley <james@jmbegley.org.uk> - 5.4.3-1
- Upstream release 5.4.3

* Thu May 04 2017 James Begley <james@jmbegley.org.uk> - 5.4.1-2
- Fix for loch issue

* Sun Apr 30 2017 James Begley <james@jmbegley.org.uk> - 5.4.1-1
- Upstream release 5.4.1
- Re-enable external proj4

* Fri Apr 07 2017 James Begley <james@jmbegley.org.uk> - 5.4.0-1
- Upstream release 5.4.0
- Remove external proj4

* Fri Jan 08 2016 James Begley <james@jmbegley.org.uk> - 5.3.16-1
- Initial RPM release

